---
lang: en
title: 'API docs: metadata.namespacedreflect.decorate'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect.decorate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [decorate](./metadata.namespacedreflect.decorate.md)

## NamespacedReflect.decorate() method

**Signature:**

```typescript
decorate(decorators: (PropertyDecorator | MethodDecorator)[], target: Object, targetKey?: string | symbol, descriptor?: PropertyDescriptor): PropertyDescriptor | Function;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

decorators


</td><td>

(PropertyDecorator \| MethodDecorator)\[\]


</td><td>


</td></tr>
<tr><td>

target


</td><td>

Object


</td><td>


</td></tr>
<tr><td>

targetKey


</td><td>

string \| symbol


</td><td>

_(Optional)_


</td></tr>
<tr><td>

descriptor


</td><td>

PropertyDescriptor


</td><td>

_(Optional)_


</td></tr>
</tbody></table>
**Returns:**

PropertyDescriptor \| Function


